local latest_format_version = 1
local installed_format_version = superquest.storage.get_format_version();

if installed_format_version == 0 then
    superquest.storage.set_format_version(latest_format_version)
    return
end

--[[
    Place here the code responsible for migration to next data formats.
    Example:


    if installed_format_version == 1 then
        -- Upgrade to 2
        set_format_version(2)
    end

    if installed_format_version == 2 then
        -- Upgrade to 3
        set_format_version(3)
    end

    if installed_format_version == 3 then
        -- Upgrade to 5 because version 4 is broken
        set_format_version(5)
    end

    if installed_format_version == 4 then
        -- Upgrade to 5 and try to recover
        set_format_version(5)
    end


    Never use `latest_format_version` in these `if` conditions otherwise it might cause bugs at next upgrades
--]]